pimmeloh

Registered
Sep 11, 2003
3
0
151
I recently updated my server to perl 5.8.8 using the cPanel perl588installer and was forced to download new modules, rrdtool, etc for munin to function.

All was well for a while, then I go in and check munin today and it's not updating. I re-install it, and get the funky missing rrdtool modules.

I checked my system using perl -v and see that it's running 5.8.5 again.

Any idea what's going on here, and why it would revert to 5.8.5 after 5.8.8 was installed and working?

Thanks in advance
 

Kent Brockman

Well-Known Member
PartnerNOC
Jan 20, 2008
1,257
60
178
Buenos Aires, Argentina
cPanel Access Level
Root Administrator
Hi, I have had the same issue on last weekend.
http://forums.cpanel.net/f4/upcp-downgraded-my-perl-installation-122909.html

In my case, I ran upcp days after munin have been installed. Since the munin addon that WHM installs is not the last version, I SUPPOSE that some bug may come up with it. Next time, I'll try uninstalling Munin first, and then running upcp, just in case the problem belongs to some mistaken lib related to Munin.

Let me guess: you are using CentOS 4?